# roadveh.h File Reference

Road vehicle states. More...

`#include "vehicle_base.h"`
`#include "engine_func.h"`
`#include "engine_base.h"`
`#include "economy_func.h"`

Go to the source code of this file.

## Data Structures
struct | RoadVehicle
| This class 'wraps' Vehicle; you do not actually instantiate this class. More...
## Enumerations
enum | { RDE_NEXT_TILE = 0x80, RDE_TURNED = 0x40, RVC_DEFAULT_START_FRAME = 0, RVC_TURN_AROUND_START_FRAME = 1, RVC_DEPOT_START_FRAME = 6, RVC_START_FRAME_AFTER_LONG_TRAM = 21, RVC_TURN_AROUND_START_FRAME_SHORT_TRAM = 16, RVC_DRIVE_THROUGH_STOP_FRAME = 7, RVC_DEPOT_STOP_FRAME = 11 }
| State information about the Road Vehicle controller. More...
enum | RoadVehicleSubType { RVST_FRONT, RVST_ARTIC_PART }
## Functions
static bool | IsRoadVehFront (const Vehicle *v)
static void | SetRoadVehFront (Vehicle *v)
static bool | IsRoadVehArticPart (const Vehicle *v)
static void | SetRoadVehArticPart (Vehicle *v)
static bool | RoadVehHasArticPart (const Vehicle *v)
void | CcBuildRoadVeh (bool success, TileIndex tile, uint32 p1, uint32 p2)
byte | GetRoadVehLength (const Vehicle *v)
void | RoadVehUpdateCache (Vehicle *v)

## Detailed Description

Road vehicle states.

Definition in file roadveh.h.

## Enumeration Type Documentation

anonymous enum

State information about the Road Vehicle controller.

Enumerator:

  RDE_NEXT_TILE | We should enter the next tile.
  RDE_TURNED | We just finished turning.

Definition at line 14 of file roadveh.h.